package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

public class DeliveryPersonnelReportBean {

    /**
     * success : true
     * sysTime : 1597733885720
     * data : [{"senderName":"john","num":1,"amount":20},{"senderName":"mary","num":1,"amount":25},{"senderName":"theshy","num":1,"amount":334},{"senderName":"tong1","num":1,"amount":89.1},{"senderName":"wudi","num":1,"amount":20},{"senderName":"有個快遞員叫送貨員的人名字是送貨的快遞員的名字叫快遞員的人的名字叫送貨的快車手","num":2,"amount":90.8},{"senderName":"陳大文","num":2,"amount":45},{"senderName":"馬雲","num":13,"amount":2310.7}]
     */
    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * senderName : john
         * num : 1
         * amount : 20.0
         */

        private String senderName;
        private int num;
        private double amount;
        private long deliveredTime;

        public String getSenderName() {
            return senderName;
        }

        public void setSenderName(String senderName) {
            this.senderName = senderName;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public double getAmount() {
            return amount;
        }

        public void setAmount(double amount) {
            this.amount = amount;
        }

        public long getDeliveredTime() {
            return deliveredTime;
        }

        public void setDeliveredTime(long deliveredTime) {
            this.deliveredTime = deliveredTime;
        }
    }
}
